When each collector sweeps which authorised ranges, and which inventories its connectors read.
curl --request PATCH \
--url https://app.assetinfinity.ai/api/discovery_scan_schedules \
--header 'Content-Type: application/json' \
--data '
{
"authorisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector": "<string>",
"credential_ref_ids": [
"<string>"
],
"days": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interval_minutes": 123,
"is_enabled": true,
"name": "<string>",
"protocols": [
"<string>"
],
"settings": "<string>",
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"window_end": "<string>",
"window_start": "<string>"
}
'import requests
url = "https://app.assetinfinity.ai/api/discovery_scan_schedules"
payload = {
"authorisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector": "<string>",
"credential_ref_ids": ["<string>"],
"days": ["<string>"],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interval_minutes": 123,
"is_enabled": True,
"name": "<string>",
"protocols": ["<string>"],
"settings": "<string>",
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"window_end": "<string>",
"window_start": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
authorisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
connector: '<string>',
credential_ref_ids: ['<string>'],
days: ['<string>'],
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
interval_minutes: 123,
is_enabled: true,
name: '<string>',
protocols: ['<string>'],
settings: '<string>',
source_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
window_end: '<string>',
window_start: '<string>'
})
};
fetch('https://app.assetinfinity.ai/api/discovery_scan_schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Itam
When each collector sweeps which authorised ranges, and which inventories its connectors read.
PATCH
/
discovery_scan_schedules
When each collector sweeps which authorised ranges, and which inventories its connectors read.
Headers
Preference
Available options:
return=representation, return=minimal, return=none Query Parameters
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
discovery_scan_schedules
When each collector sweeps which authorised ranges, and which inventories its connectors read.
Note:
This is a Foreign Key to discovery_scan_authorisations.id.
Maximum string length:
30Note: This is a Primary Key.
Maximum string length:
150Note:
This is a Foreign Key to discovery_sources.id.
Response
204
No Content
⌘I

